<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/background_color"
    tools:context=".dashboard.DashboardFragment">


    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingHorizontal="@dimen/dashboard_fragment_padding_horizontal"
            android:paddingVertical="@dimen/dashboard_fragment_padding_vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:paddingHorizontal="16dp"
                android:paddingVertical="22dp"
                android:visibility="visible">

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/titleDev"
                    style="@style/TextDeviceBig"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/device"
                    tools:ignore="RelativeOverlap" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/logoDevice"
                        style="@style/TextDeviceLogo"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="OPPO"
                        tools:ignore="RelativeOverlap" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/phone_Name"
                        style="@style/TextSize37"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="OPPO A53 5G"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="42dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textTitle1"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/ic_launcher"
                        android:text="@string/model"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textDev1"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textTitle2"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/ic_launcher"
                        android:text="@string/product"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textDev2"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textTitle3"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/ic_launcher"
                        android:text="@string/device"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textDev3"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textTitle4"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/ic_launcher"
                        android:text="@string/motherboard"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textDev4"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textTitle5"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/ic_launcher"
                        android:text="@string/manufacturer"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textDev5"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textTitle6"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/ic_launcher"
                        android:text="@string/baseband"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textDev6"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginTop="15dp"
                android:paddingHorizontal="16dp"
                android:paddingVertical="22dp"
                android:visibility="visible"
                android:background="@drawable/dashboard_model_background"
                >
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/titleSystem"
                        style="@style/TextDeviceBig"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/operating_system"
                        tools:ignore="RelativeOverlap" />
                    <View
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="1dp"/>
                    <ImageView
                        android:layout_width="23dp"
                        android:layout_height="23dp"
                        android:src="@mipmap/setting"
                        android:layout_gravity="center_vertical"
                        />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="20dp"
                    android:layout_height="wrap_content">
                    <ImageView
                        android:layout_width="90dp"
                        android:scaleType="fitXY"
                        android:layout_height="90dp"
                        android:src="@mipmap/subtract"
                        android:layout_marginEnd="60dp"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/androidName"
                        style="@style/TextSize28"
                        android:textSize="28sp"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Android 12(Snow Cone)"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="15dp"
                android:layout_marginTop="15dp"
                android:visibility="visible"
                android:background="@drawable/dashboard_model_background"
                >
                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/titleId"
                    style="@style/TextDeviceBig"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/identifier"
                    tools:ignore="RelativeOverlap" />
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/idTitle1"
                        android:layout_width="150dp"
                        android:text="@string/google_services_framework_id"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContentLeft"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/idDev1"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                    <View
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="1dp"/>
                    <ImageView
                        android:layout_width="11dp"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/copy"
                        android:layout_gravity="center_vertical"
                        />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/idTitle2"
                        android:layout_width="150dp"
                        android:text="@string/device_id"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContentLeft"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/idDev2"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                    <View
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="1dp"/>
                    <ImageView
                        android:layout_width="11dp"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/copy"
                        android:layout_gravity="center_vertical"
                        />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/idTitle3"
                        android:layout_width="150dp"
                        android:text="Google Play Services version"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContentLeft"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/idDev3"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="15dp"
                android:layout_marginTop="15dp"
                android:visibility="visible"
                android:background="@drawable/dashboard_model_background"
                >
                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/titleD"
                    style="@style/TextDeviceBig"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/drm"
                    tools:ignore="RelativeOverlap" />
                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextSecondaryTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:text="@string/clearkey_cdm"
                    tools:ignore="RelativeOverlap" />
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle1"
                        android:layout_width="150dp"
                        android:text="@string/vendor"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContentLeft" />
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev1"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle2"
                        android:layout_width="150dp"
                        android:text="@string/version"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContentLeft" />
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev2"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextSecondaryTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:text="@string/widevine"
                    tools:ignore="RelativeOverlap" />
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle4"
                        android:layout_width="150dp"
                        android:text="@string/vendor"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContentLeft"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev4"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle5"
                        android:layout_width="150dp"
                        android:text="@string/version"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContentLeft"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev5"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle6"
                        android:layout_width="150dp"
                        android:text="@string/algorithm"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContentLeft"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev6"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle3"
                        android:layout_width="150dp"
                        android:text="@string/device_id"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContentLeft"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev7"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle8"
                        android:layout_width="150dp"
                        android:text="@string/security_level"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContentLeft"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev8"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle9"
                        android:layout_width="150dp"
                        android:text="@string/highest_hdcp_level"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContentLeft"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev9"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>